Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class EllipseDescriptor

    java.lang.Object
      com.sun.cldc.jna.Structure
          edu.wpi.first.wpilibj.image.EllipseDescriptor

    public class EllipseDescriptor

extends Structure

Author:
  dtjones

Field Summary

Fields inherited from class com.sun.cldc.jna.Structure
`backingNativeMemory, NULL`

Constructor Summary
`EllipseDescriptor(double m_minMajorRadius, double m_maxMajorRadius, double m_minMinorRadius, double m_maxMinorRadius)`

Method Summary
`void` | `free()` Free the c memory associated with this object.
`void` | `read()` Copy the fields of the struct from native memory to the Java fields
`int` | `size()`
`void` | `write()` Copy the java fields of the struct to native memory from the Java fields

Methods inherited from class com.sun.cldc.jna.Structure
`allocateMemory, allocateMemory, clear, freeMemory, getPointer, release, toString, useMemory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EllipseDescriptor

    public EllipseDescriptor(double m_minMajorRadius,
                             double m_maxMajorRadius,
                             double m_minMinorRadius,
                             double m_maxMinorRadius)

Method Detail

### free

    public void free()

  Free the c memory associated with this object.

### read

    public void read()

  Description copied from class: `Structure`
  Copy the fields of the struct from native memory to the Java fields

  Specified by:
    `read` in class `Structure`

### write

    public void write()

  Description copied from class: `Structure`
  Copy the java fields of the struct to native memory from the Java fields

  Specified by:
    `write` in class `Structure`

### size

    public int size()

  Specified by:
    `size` in class `Structure`
  Returns:
    the size of the native structure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"